Bug 174461 - OpenOffice writer crashes on closing a particular .doc file
OpenOffice writer crashes on closing a particular .doc file
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
: 174483 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 06:18 EST by Dennis Wagelaar
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-30 04:26:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Document that triggers the OO.o crash (30.50 KB, application/msword)
2005-11-29 06:20 EST, Dennis Wagelaar
no flags Details
gdb output (8.51 KB, text/x-log)
2005-11-29 07:07 EST, Dennis Wagelaar
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 58618 None None None Never

  None (edit)
Description Dennis Wagelaar 2005-11-29 06:18:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; nl-NL; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
OpenOffice Writer crashes when trying to close one particular .doc file. Below is the stack trace provided by OO.o:

Video Driver is probably fglrx
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.3.1
0x1d97137: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e137
0x1d978ff: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8ff
0xc43420:  + 0x420 (__kernel_sigreturn + 0x0)
0x26eea77: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x30a77
0x2719808: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5b808 (framework::PreventDuplicateInteraction::~PreventDuplicateInteraction() + 0x74)
0x1d45c52: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x1ec52 (cppu::OWeakObject::release() + 0x44)
0x271a3f9: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5c3f9
0x2475ea0: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x88ea0
0x146dde: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0xedde
0x14f6f0: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0x176f0 (uno_any_destruct + 0x24)
0x2475ec1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x88ec1
0x2560483: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x173483
0x156f81b: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x6c81b (SfxItemPool::Remove(SfxPoolItem const&) + 0x85)
0x1575a56: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x72a56 (SfxItemSet::~SfxItemSet() + 0x90)
0x15762b8: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x732b8
0x24ed951: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x100951 (SfxMedium::~SfxMedium() + 0x3d)
0x2501ce1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x114ce1 (SfxObjectShell::~SfxObjectShell() + 0x19f)
0x9e597f: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x58797f (SwDocShell::~SwDocShell() + 0xc5)
0x197c24b: /usr/lib/openoffice.org2.0/program/libtl680li.so + 0x6224b (SvRefBase::QueryDelete() + 0x13)
0x27f2017: /usr/lib/openoffice.org2.0/program/libsot680li.so + 0x10017 (SotObject::QueryDelete() + 0x29)
0x24812db: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x942db
0x248197f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x9497f
0x2570300: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x183300
0x25754bc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1884bc (SfxTopViewFrame::~SfxTopViewFrame() + 0x52)
0x2575f60: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x188f60 (SfxTopViewFrame::Close() + 0x58)
0x255e5a3: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1715a3
0x257bc5b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x18ec5b (SfxBaseController::dispose() + 0x2ff)
0x427c9cb: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x509cb
0x427c6f3: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x506f3
0x426371c: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x3771c
0x429680c: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x6a80c
0x4297120: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x6b120
0x42972a6: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x6b2a6
0x1a86c72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac72
0x1c249a2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2189a2
0x1c24988: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x218988
0x1a86c72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac72
0x1bdfe7d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d3e7d
0x732bf3e: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ef3e
0x735230f: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4530f (SalDisplay::DispatchInternalEvent() + 0xad)
0x2e9426b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1926b
0x751e730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x751c4ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x751f4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x751f9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x2e93e9d: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9d
0x7353521: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46521 (X11SalInstance::Yield(unsigned char) + 0x29)
0x1a8cfba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80fba (Application::Yield() + 0x50)
0x1a8cff8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80ff8 (Application::Execute() + 0x26)
0x436d71: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24d71 (desktop::Desktop::Main() + 0x15df)
0x1a92401: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x86401
0x1a924b1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x864b1 (SVMain() + 0x29)
0x42e2f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c2f7 (sal_main + 0x57)
0x42e343: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c343 (main + 0x27)
0x2f2d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1


Version-Release number of selected component (if applicable):
openoffice.org-writer-2.0.1-0.141.3.1

How reproducible:
Always

Steps to Reproduce:
1. Open "ooo-crash.doc"
2. Close the document
3.
  

Actual Results:  Crash with stack trace

Expected Results:  Writer should have closed

Additional info:

Will attach the document that triggered this crash...
Comment 1 Dennis Wagelaar 2005-11-29 06:20:07 EST
Created attachment 121575 [details]
Document that triggers the OO.o crash
Comment 2 Caolan McNamara 2005-11-29 06:46:43 EST
Can't reproduce this by just opening the closing this document with that version
of OOo on a FC4 gnome installation. Anything else that might be related, KDE
instead of gnome, or any other OOO component running
Comment 3 Dennis Wagelaar 2005-11-29 07:06:01 EST
I'm using the standard GNOME interface with the following exceptions:

- I use Kontact for e-mail, PIM, etc. 
- I use the ATI fglrx 3rd party X driver. 
- I use madwifi (non-ng). I use kernel 2.6.14-1.1637_FC4.

My hardware is an HP (compaq) nc6000 laptop.
Comment 4 Dennis Wagelaar 2005-11-29 07:07:01 EST
Created attachment 121578 [details]
gdb output
Comment 5 Caolan McNamara 2005-11-29 07:15:49 EST
good stacktrace, disturbing.
Comment 6 Caolan McNamara 2005-11-29 09:46:12 EST
ah, reproducable, let me check for ver m142 as 2.0.1 rc1
Comment 7 Caolan McNamara 2005-11-29 10:11:49 EST
*** Bug 174483 has been marked as a duplicate of this bug. ***
Comment 8 Caolan McNamara 2005-11-30 04:26:47 EST
dammit, another compiler bug. Will put in a workaround.
Comment 9 Herman Ofenböck 2005-11-30 04:47:11 EST
I'm having similar problems in calc. Crach after closing a document. Will
include stack trace. 

Video Driver is probably i810
OpenOffice.org core rpm version is openoffice.org-core-2.0.1-0.141.3.1
0x6bf137: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e137
0x6bf8ff: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e8ff
0x445420:  + 0x420 (__kernel_sigreturn + 0x0)
0x13cf03d: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x3203d
(framework::LockHelper::~LockHelper() + 0x37)
0x13cda77: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x30a77
0x13f8808: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5b808
(framework::PreventDuplicateInteraction::~PreventDuplicateInteraction() + 0x74)
0xaa8c52: /usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 +
0x1ec52 (cppu::OWeakObject::release() + 0x44)
0x13f93f9: /usr/lib/openoffice.org2.0/program/libfwe680li.so + 0x5c3f9
0x1acdea0: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x88ea0
0x338dde: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0xedde
0x3416f0: /usr/lib/openoffice.org2.0/program/libuno_cppu.so.3 + 0x176f0
(uno_any_destruct + 0x24)
0x1acdec1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x88ec1
0x1bb8483: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x173483
0x2cb81b: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x6c81b
(SfxItemPool::Remove(SfxPoolItem const&) + 0x85)
0x2d1a56: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x72a56
(SfxItemSet::~SfxItemSet() + 0x90)
0x2d22b8: /usr/lib/openoffice.org2.0/program/libsvl680li.so + 0x732b8
0x1b45951: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x100951
(SfxMedium::~SfxMedium() + 0x3d)
0x1b59ce1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x114ce1
(SfxObjectShell::~SfxObjectShell() + 0x19f)
0xc588ac: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1018ac
(ScDocShell::~ScDocShell() + 0x18a)
0x5ad24b: /usr/lib/openoffice.org2.0/program/libtl680li.so + 0x6224b
(SvRefBase::QueryDelete() + 0x13)
0x1422017: /usr/lib/openoffice.org2.0/program/libsot680li.so + 0x10017
(SotObject::QueryDelete() + 0x29)
0x1ad92db: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x942db
0x1ad997f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x9497f
0x1bc8300: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x183300
0x1bcd4bc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1884bc
(SfxTopViewFrame::~SfxTopViewFrame() + 0x52)
0x1bcdf60: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x188f60
(SfxTopViewFrame::Close() + 0x58)
0x1bb65a3: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1715a3
0x1bd3c5b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x18ec5b
(SfxBaseController::dispose() + 0x2ff)
0x31959cb: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x509cb
0x31956f3: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x506f3
0x317c71c: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x3771c
0x31af80c: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x6a80c
0x31b0120: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x6b120
0x31b02a6: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x6b2a6
0x7e1ac72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac72
0x7fb89a2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x2189a2
0x7fb8988: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x218988
0x7e1ac72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x7ac72
0x7f73e7d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d3e7d
0x6821f3e: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ef3e
0x684830f: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4530f
(SalDisplay::DispatchInternalEvent() + 0xad)
0x651126b: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1926b
0x1f06730: /usr/lib/libglib-2.0.so.0 + 0x25730
0x1f044ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0x1f074d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0x1f079b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x6510e9d: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x18e9d
0x6849521: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46521
(X11SalInstance::Yield(unsigned char) + 0x29)
0x7e20fba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80fba
(Application::Yield() + 0x50)
0x7e20ff8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x80ff8
(Application::Execute() + 0x26)
0x91cd71: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24d71
(desktop::Desktop::Main() + 0x15df)
0x7e26401: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x86401
0x7e264b1: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x864b1 (SVMain()
+ 0x29)
0x9142f7: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c2f7 (sal_main +
0x57)
0x914343: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x1c343 (main + 0x27)
0x14ad5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4e1
Comment 10 Caolan McNamara 2005-11-30 04:50:49 EST
yup, that's the same one, gcc has selected a different class to call the dtor
from than the developer intended. apparently only happens in a -g debug enbaled
build like ours. I have a workaround.

Note You need to log in before you can comment on or make changes to this bug.